Please update BOINC to 6.10.56

Bug #452213 reported by skybon
74
This bug affects 13 people
Affects Status Importance Assigned to Milestone
boinc (Ubuntu)
Wishlist
Daniel Hahler
Nominated for Karmic by MC707
Nominated for Lucid by MC707

Bug Description

BOINC manager has been updated. The same should be done with packages.

BOINC license is LGPLv2.1 or later according to http://boinc.berkeley.edu/trac/browser/trunk/boinc/COPYRIGHT

Related branches

Revision history for this message
skybon (skybon-deactivatedaccount-deactivatedaccount) wrote :
Dylan Aïssi (daissi)
Changed in boinc (Ubuntu):
status: New → Confirmed
Dylan Aïssi (daissi)
summary: - BOINC package needs updating to 6.6.40
+ BOINC package needs updating to 6.6.41
tags: added: upgrade
removed: amd64 apport-bug
Dylan Aïssi (daissi)
summary: - BOINC package needs updating to 6.6.41
+ BOINC package needs updating to 6.10.17
Changed in boinc (Debian):
status: Unknown → New
Changed in boinc (Debian):
status: New → Fix Released
Revision history for this message
Andres Rodriguez (andreserl) wrote : Re: BOINC package needs updating to 6.10.17

I'm marking this bug as fix released due to boinc has been merged to lucid. See Bug LP #490942

Changed in boinc (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Fix Released
Revision history for this message
MC707 (demonicmuffin) wrote :

What, are you saying that it will be fixed in lucid but not in karmic? It should not be considered Fixed until it is fixed for KARMIC.

Changed in boinc (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → New
Revision history for this message
Daniel Hahler (blueyed) wrote :

It is fixed for Lucid, and there are task nominations for Karmic.

Please take a look at https://wiki.ubuntu.com/StableReleaseUpdates for the SRU procedure required to get this into Karmic (or other stable releases).

Changed in boinc (Ubuntu):
importance: Undecided → Wishlist
status: New → Fix Released
summary: - BOINC package needs updating to 6.10.17
+ BOINC package needs updating
Changed in boinc (Debian):
importance: Unknown → Undecided
status: Fix Released → New
Changed in boinc (Ubuntu):
status: Fix Released → New
Revision history for this message
skybon (skybon-deactivatedaccount-deactivatedaccount) wrote : Re: BOINC package needs updating

Restarting this bug report as repos are lagging behind again (6.10.17 vs 6.10.44).

description: updated
Revision history for this message
Nicolás Alvarez (nicolas-alvarez) wrote :

Shouldn't you open a new bug, instead of reopening this every time there is an upstream release?

Revision history for this message
skybon (skybon-deactivatedaccount-deactivatedaccount) wrote :

Well, in that case half of boinc package bugs will be related to the need of package update. Isn't it better just to keep one single bug and reopen once package in repos gets old?

Revision history for this message
Jack H (denis-jacquet) wrote :

Now, it seems that Ubuntu 10.04 has the latest version of BOINC!
So, I just hope that the version is in perfect running! ;)

Revision history for this message
skybon (skybon-deactivatedaccount-deactivatedaccount) wrote :

As I have pointed out, it doesn't. Version 6.10.44 is available for download at BOINC site.

Changed in boinc (Debian):
status: New → Confirmed
Changed in boinc (Ubuntu):
status: New → Confirmed
Revision history for this message
Jack H (denis-jacquet) wrote :

The difference between 6.10.17 and 6.10.50 is already better! ;)
In addition, the recommended version is still 6.10.17 and dated Oct. 28, thus seniority is correct!

Obviously, if you can follow the new versions, we will be delighted!
But if you just follow as closely as possible during the release of new version of Ubuntu, we'll be very happy! ;)

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Artem you are right, but regarding to http://boinc.berkeley.edu/download_all.php the latest stable release is 6.10.17 (for linux).

the latest dev release is 6.10.50 (6.10.51 will come soon), but for now it isn't the recommended stable release.

So, this bug should be closed and reopened when 6.10.51 will come out as stable release.

Changed in boinc (Debian):
status: Confirmed → Fix Released
Changed in boinc (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

As said before I'm going to reopen this bug since boinc 6.10.56 has been released as stable release.
http://boinc.berkeley.edu/download.php

please package it

Changed in boinc (Ubuntu):
status: Fix Released → New
description: updated
Changed in boinc (Debian):
status: Fix Released → New
Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

The boinc package should be updated to fix serveral bugs in lp, please update it soon

summary: - BOINC package needs updating
+ Please update BOINC to 6.10.56
Revision history for this message
Daniel Hahler (blueyed) wrote :

I'm updating the package for Maverick.

As said previously:
1. For existing releases, you'll need a StabeReleaseUpdate (paperwork), or request a backport via e.g. lucid-backports
2. Please create a new bug for new upstream release requests in the future.

That being said, I have backported 6.10.58 in my PPA for Hardy already, and might do so for the other Ubuntu releases, in a separate PPA: https://launchpad.net/~blueyed/+archive/boinc

Changed in boinc (Ubuntu):
assignee: nobody → Daniel Hahler (blueyed)
status: New → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package boinc - 6.10.58-0ubuntu2

---------------
boinc (6.10.58-0ubuntu2) maverick; urgency=low

  * Refresh patches, especially 006_correct_catalog_path.patch
  * New release fixes LP: #452213
 -- Daniel Hahler <email address hidden> Tue, 13 Jul 2010 22:50:29 +0200

Changed in boinc (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Steffen Möller (moeller-debian) wrote : Re: [Bug 452213] Re: Please update BOINC to 6.10.56

Hi Daniel,

On 07/13/2010 10:35 PM, Daniel Hahler wrote:
> I'm updating the package for Maverick.
>
> As said previously:
> 1. For existing releases, you'll need a StabeReleaseUpdate (paperwork), or request a backport via e.g. lucid-backports
> 2. Please create a new bug for new upstream release requests in the future.
>
> That being said, I have backported 6.10.58 in my PPA for Hardy already,
> and might do so for the other Ubuntu releases, in a separate PPA:
> https://launchpad.net/~blueyed/+archive/boinc

would you not possibly like to become an official maintainer of BOINC?
You could become a Debian Maintainer real quickly and then perform
the uploads also yourself.

From what I see at the moment, we are all too busy.

Many thanks

Steffen

Revision history for this message
Daniel Hahler (blueyed) wrote :

Just for info: the PPA mentioned above has moved to:
https://launchpad.net/~pkg-boinc/+archive/ppa

This is now a team-maintained PPA.

Dylan Aïssi (daissi)
no longer affects: boinc (Debian)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.